Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158382

Summary: *** glibc detected *** rpmbuild: corrupted double-linked list
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: rpmAssignee: Paul Nasrat <pnasrat>
Status: CLOSED RAWHIDE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: n3npq, oliva
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-31 17:49:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 136450    

Description Nicolas Mailhot 2005-05-21 10:28:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Always it seems

Steps to Reproduce:
1. rpmbuild -ba --clean --sign specfile
  
Actual results:
*** glibc detected *** rpmbuild: corrupted double-linked list: 0x0917d718 ***
======= Backtrace: =========
/lib/libc.so.6[0x5cf308]
/lib/libc.so.6(__libc_free+0x77)[0x5cf71f]
/usr/lib/librpmdb-4.4.so[0x2ad662]
/usr/lib/librpm-4.4.so[0x24433a]
/usr/lib/librpm-4.4.so(rpmAddSignature+0x1ce)[0x24495c]
/usr/lib/librpmbuild-4.4.so(writeRPM+0x9ab)[0xe19ada]
/usr/lib/librpmbuild-4.4.so(packageSources+0x1d2)[0xe1a491]
/usr/lib/librpmbuild-4.4.so(buildSpec+0x3dc)[0xe10f37]
rpmbuild[0x804a794]
rpmbuild[0x804abf4]
rpmbuild[0x804b91c]
/lib/libc.so.6(__libc_start_main+0xc6)[0x580de6]
rpmbuild[0x8049ea1]
======= Memory map: ========
00111000-00133000 r-xp 00000000 09:00 688265     /lib/libm-2.3.5.so
00133000-00134000 r-xp 00021000 09:00 688265     /lib/libm-2.3.5.so
00134000-00135000 rwxp 00022000 09:00 688265     /lib/libm-2.3.5.so
00137000-00151000 r-xp 00000000 09:00 688208     /lib/ld-2.3.5.so
00151000-00152000 r-xp 00019000 09:00 688208     /lib/ld-2.3.5.so
00152000-00153000 rwxp 0001a000 09:00 688208     /lib/ld-2.3.5.so
00153000-0019a000 r-xp 00000000 09:00 5196504    /usr/lib/libbeecrypt.so.6.4.0
0019a000-0019d000 rwxp 00046000 09:00 5196504    /usr/lib/libbeecrypt.so.6.4.0
0019d000-0019f000 r-xp 00000000 09:00 688237     /lib/libdl-2.3.5.so
0019f000-001a0000 r-xp 00001000 09:00 688237     /lib/libdl-2.3.5.so
001a0000-001a1000 rwxp 00002000 09:00 688237     /lib/libdl-2.3.5.so
001a1000-001b3000 r-xp 00000000 09:00 5197923    /usr/lib/libz.so.1.2.2.2
001b3000-001b4000 rwxp 00011000 09:00 5197923    /usr/lib/libz.so.1.2.2.2
001b4000-001d1000 r-xp 00000000 09:00 5198370    /usr/lib/libexpat.so.0.5.0
001d1000-001d3000 rwxp 0001c000 09:00 5198370    /usr/lib/libexpat.so.0.5.0
001d3000-001dc000 r-xp 00000000 09:00 688300     /lib/libgcc_s-4.0.0-20050518.so.1
001dc000-001dd000 rwxp 00009000 09:00 688300     /lib/libgcc_s-4.0.0-20050518.so.1
00200000-00258000 r-xp 00000000 09:00 5197395    /usr/lib/librpm-4.4.so
00258000-0025b000 rwxp 00058000 09:00 5197395    /usr/lib/librpm-4.4.so
0025b000-0028e000 rwxp 0025b000 00:00 0
0028e000-00395000 r-xp 00000000 09:00 7897152    /usr/lib/librpmdb-4.4.so
00395000-0039a000 rwxp 00106000 09:00 7897152    /usr/lib/librpmdb-4.4.so
003a9000-003b7000 r-xp 00000000 09:00 688328     /lib/libpthread-2.3.5.so
003b7000-003b8000 r-xp 0000d000 09:00 688328     /lib/libpthread-2.3.5.so
003b8000-003b9000 rwxp 0000e000 09:00 688328     /lib/libpthread-2.3.5.so
003b9000-003bb000 rwxp 003b9000 00:00 0
003bd000-00410000 r-xp 00000000 09:00 5209435    /usr/lib/libsqlite3.so.0.8.6
00410000-00412000 rwxp 00052000 09:00 5209435    /usr/lib/libsqlite3.so.0.8.6
00412000-0050a000 r-xp 00000000 09:00 689803     /lib/libcrypto.so.0.9.7f
0050a000-0051c000 rwxp 000f8000 09:00 689803     /lib/libcrypto.so.0.9.7f
0051c000-0051f000 rwxp 0051c000 00:00 0
00534000-00569000 r-xp 00000000 09:00 690287     /lib/libssl.so.0.9.7f
00569000-0056c000 rwxp 00035000 09:00 690287     /lib/libssl.so.0.9.7f
0056c000-00690000 r-xp 00000000 09:00 688209     /lib/libc-2.3.5.so
00690000-00692000 r-xp 00124000 09:00 688209     /lib/libc-2.3.5.so
00692000-00694000 rwxp 00126000 09:00 688209     /lib/libc-2.3.5.so
00694000-00696000 rwxp 00694000 00:00 0
00696000-00772000 r-xp 00000000 09:00 5203053    /usr/lib/libstdc++.so.6.0.4
00772000-00777000 rwxp 000dc000 09:00 5203053    /usr/lib/libstdc++.so.6.0.4
00777000-0077c000 rwxp 00777000 00:00 0
007e8000-00859000 r-xp 00000000 09:00 7897179    /usr/lib/librpmio-4.4.so
00859000-0085c000 rwxp 00070000 09:00 7897179    /usr/lib/librpmio-4.4.so
0085c000-0087f000 rwxp 0085c000 00:00 0
00892000-00899000 r-xp 00000000 09:00 5197009    /usr/lib/libpopt.so.0.0.0
00899000-0089a000 rwxp 00006000 09:00 5197009    /usr/lib/libpopt.so.0.0.0
009d3000-009e2000 r-xp 00000000 09:00 691796     /lib/libresolv-2.3.5.so
009e2000-009e3000 r-xp 0000e000 09:00 691796     /lib/libresolv-2.3.5.so
009e3000-009e4000 rwxp 0000f000 09:00 691796     /lib/libresolv-2.3.5.so
009e4000-009e6000 rwxp 009e4000 00:00 0
00a03000-00a05000 r-xp 00000000 09:00 5206636    /usr/lib/libkrb5support.so.0.0
00a05000-00a06000 rwxp 00001000 09:00 5206636    /usr/lib/libkrb5support.so.0.0
00bb6000-00bba000 r-xp 00000000 09:00 688198     /lib/libnss_dns-2.3.5.so
00bba000-00bbb000 r-xp 00003000 09:00 688198     /lib/libnss_dns-2.3.5.so
00bbb000-00bbc000 rwxp 00004000 09:00 688198     /lib/libnss_dns-2.3.5.so
00bde000-00be0000 r-xp 00000000 09:00 691819     /lib/libcom_err.so.2.1
00be0000-00be1000 rwxp 00001000 09:00 691819     /lib/libcom_err.so.2.1
00be3000-00bf5000 r-xp 00000000 09:00 5200626    /usr/lib/libelf-0.108.so
00bf5000-00bf6000 rwxp 00012000 09:00 5200626    /usr/lib/libelf-0.108.so
00bf8000-00c11000 r-xp 00000000 09:00 5198795    /usr/lib/libneon.so.24.0.7
00c11000-00c12000 rwxp 00019000 09:00 5198795    /usr/lib/libneon.so.24.0.7
00c24000-00c35000 r-xp 00000000 09:00 5209342    /usr/lib/libbz2.so.1.0.2
00c35000-00c36000 rwxp 00010000 09:00 5209342    /usr/lib/libbz2.so.1.0.2
00c3c000-00c5f000 r-xp 00000000 09:00 5206699    /usr/lib/libk5crypto.so.3.0
00c5f000-00c60000 rwxp 00023000 09:00 5206699    /usr/lib/libk5crypto.so.3.0
00c62000-00c78000 r-xp 00000000 09:00 5208992    /usr/lib/libgssapi_krb5.so.2.2
00c78000-00c79000 rwxp 00016000 09:00 5208992    /usr/lib/libgssapi_krb5.so.2.2
00d88000-00d90000 r-xp 00000000 09:00 691802     /lib/librt-2.3.5.so
00d90000-00d91000 r-xp 00007000 09:00 691802     /lib/librt-2.3.5.so
00d91000-00d92000 rwxp 00008000 09:00 691802     /lib/librt-2.3.5.so
00d92000-00d9c000 rwxp 00d92000 00:00 0
00dfa000-00dfb000 r-xp 00dfa000 00:00 0
00e0b000-00e2d000 r-xp 00000000 09:00 7897125    /usr/lib/librpmbuild-4.4.so
00e2d000-00e2f000 rwxp 00022000 09:00 7897125    /usr/lib/librpmbuild-4.4.so
00e2f000-00e3b000 rwxp 00e2f000 00:00 0
00ebf000-00ec8000 r-xp 00000000 09:00 689946     /lib/libnss_files-2.3.5.so
00ec8000-00ec9000 r-xp 00008000 09:00 689946     /lib/libnss_files-2.3.5.so
00ec9000-00eca000 rwxp 00009000 09:00 689946     /lib/libnss_files-2.3.5.so
0711a000-0712a000 r-xp 00000000 09:00 691794     /lib/libselinux.so.1
0712a000-0712b000 rwxp 00010000 09:00 691794     /lib/libselinux.so.1
07e78000-07ee7000 r-xp 00000000 09:00 5203626    /usr/lib/libkrb5.so.3.2
07ee7000-07eea000 rwxp 0006e000 09:00 5203626    /usr/lib/libkrb5.so.3.2
08048000-0804d000 r-xp 00000000 09:00 5259324    /usr/lib/rpm/rpmb
0804d000-0804e000 rw-p 00004000 09:00 5259324    /usr/lib/rpm/rpmb
090e5000-09795000 rw-p 090e5000 00:00 0          [heap]
b7c00000-b7c21000 rw-p b7c00000 00:00 0
b7c21000-b7d00000 ---p b7c21000 00:00 0
b7d39000-b7d3a000 rw-p b7d39000 00:00 0
b7d3a000-b7d40000 r--s 00000000 09:00 5216341    /usr/lib/gconv/gconv-modules.cache
b7d40000-b7d52000 r--p 00000000 09:00 1785861   
/usr/share/locale/fr/LC_MESSAGES/rpm.mo
b7d52000-b7f52000 r--p 00000000 09:00 5203079    /usr/lib/locale/locale-archive
b7f52000-b7f5a000 rw-p b7f52000 00:00 0
bfefb000-bff6a000 rw-p bfefb000 00:00 0          [stack]
Abandon

Additional info:

Fully up-to-date Fedora Devel (as of now)

Comment 1 Nicolas Mailhot 2005-05-21 10:30:56 UTC
rpm-4.4.1-19
rpm-libs-4.4.1-19
rpm-build-4.4.1-19
rpm-devel-4.4.1-19
rpm-python-4.4.1-19


Comment 2 Jeff Johnson 2005-05-21 12:23:52 UTC
What is "Always it seems."? All builds are failing? If so, attach a reproducer please.

Comment 3 Nicolas Mailhot 2005-05-21 12:39:00 UTC
Means it crashed on all the builds I've tried today (without the magic env var
that tells glic not to look at malloc)

The crasher seems to be the --sign parameter

My key has seen some history and rpm may have problems digesting it

(key id 3B29F20D)

Comment 4 Nicolas Mailhot 2005-05-21 13:41:47 UTC
rpm --resign triggers it too

Comment 5 Paul Nasrat 2005-05-21 13:46:15 UTC
If you revert back to rpm 4.4.1-18.1 does it go away?



Comment 6 Paul Nasrat 2005-05-21 14:06:14 UTC
rpm -q rpm
rpm-4.4.1-19

rpm --resign ../RPMS/simple-1.0-1.noarch.rpm
Enter pass phrase:
Pass phrase is good.
../RPMS/simple-1.0-1.noarch.rpm:

$ rpm -Kv ../RPMS/simple-1.0-1.noarch.rpm
../RPMS/simple-1.0-1.noarch.rpm:
    Header V3 DSA signature: OK, key ID 831ffbca
    Header SHA1 digest: OK (716076054883bcaf23fd51e11ce011b9a7778c14)
    MD5 digest: OK (08a3d5134b0d0e47cad6be50d797153c)
    V3 DSA signature: OK, key ID 831ffbca


Comment 7 Nicolas Mailhot 2005-05-21 14:13:35 UTC
[nim@rousalka SRPMS]$ rpm -q rpm
rpm-4.4.1-19

[nim@rousalka SRPMS]$ rpm --resign bitstream-vera-fonts-1.10-5.src.rpm
Entrez la phrase de passe:
Phrase de passe bonne.
bitstream-vera-fonts-1.10-5.src.rpm:
*** glibc detected *** /usr/lib/rpm/rpmk: corrupted double-linked list:
0x0a000c00 ***
======= Backtrace: =========
/lib/libc.so.6[0x1b8308]
/lib/libc.so.6(__libc_free+0x77)[0x1b871f]
/usr/lib/librpmdb-4.4.so[0x5f7942]
/usr/lib/librpm-4.4.so[0x72b33a]
/usr/lib/librpm-4.4.so(rpmAddSignature+0x1ce)[0x72b95c]
/usr/lib/librpm-4.4.so(rpmcliSign+0x8dc)[0x71158e]
/usr/lib/rpm/rpmk[0x8049b6f]
/lib/libc.so.6(__libc_start_main+0xc6)[0x169de6]
/usr/lib/rpm/rpmk[0x80493d1]
======= Memory map: ========
00128000-00129000 r-xp 00128000 00:00 0
00137000-00151000 r-xp 00000000 09:00 688208     /lib/ld-2.3.5.so
00151000-00152000 r-xp 00019000 09:00 688208     /lib/ld-2.3.5.so
00152000-00153000 rwxp 0001a000 09:00 688208     /lib/ld-2.3.5.so
00155000-00279000 r-xp 00000000 09:00 688209     /lib/libc-2.3.5.so
00279000-0027b000 r-xp 00124000 09:00 688209     /lib/libc-2.3.5.so
0027b000-0027d000 rwxp 00126000 09:00 688209     /lib/libc-2.3.5.so
0027d000-0027f000 rwxp 0027d000 00:00 0
00281000-002a3000 r-xp 00000000 09:00 688265     /lib/libm-2.3.5.so
002a3000-002a4000 r-xp 00021000 09:00 688265     /lib/libm-2.3.5.so
002a4000-002a5000 rwxp 00022000 09:00 688265     /lib/libm-2.3.5.so
002a7000-002a9000 r-xp 00000000 09:00 688237     /lib/libdl-2.3.5.so
002a9000-002aa000 r-xp 00001000 09:00 688237     /lib/libdl-2.3.5.so
002aa000-002ab000 rwxp 00002000 09:00 688237     /lib/libdl-2.3.5.so
00383000-00395000 r-xp 00000000 09:00 5197923    /usr/lib/libz.so.1.2.2.2
00395000-00396000 rwxp 00011000 09:00 5197923    /usr/lib/libz.so.1.2.2.2
003a9000-003b7000 r-xp 00000000 09:00 688328     /lib/libpthread-2.3.5.so
003b7000-003b8000 r-xp 0000d000 09:00 688328     /lib/libpthread-2.3.5.so
003b8000-003b9000 rwxp 0000e000 09:00 688328     /lib/libpthread-2.3.5.so
003b9000-003bb000 rwxp 003b9000 00:00 0
003bd000-00410000 r-xp 00000000 09:00 5209435    /usr/lib/libsqlite3.so.0.8.6
00410000-00412000 rwxp 00052000 09:00 5209435    /usr/lib/libsqlite3.so.0.8.6
004b3000-004fa000 r-xp 00000000 09:00 5197978    /usr/lib/libbeecrypt.so.6.4.0
004fa000-004fd000 rwxp 00046000 09:00 5197978    /usr/lib/libbeecrypt.so.6.4.0
004ff000-00518000 r-xp 00000000 09:00 5196504    /usr/lib/libneon.so.24.0.7
00518000-00519000 rwxp 00019000 09:00 5196504    /usr/lib/libneon.so.24.0.7
0051d000-0053a000 r-xp 00000000 09:00 5198370    /usr/lib/libexpat.so.0.5.0
0053a000-0053c000 rwxp 0001c000 09:00 5198370    /usr/lib/libexpat.so.0.5.0
0053e000-005af000 r-xp 00000000 09:00 5198795    /usr/lib/librpmio-4.4.so
005af000-005b2000 rwxp 00070000 09:00 5198795    /usr/lib/librpmio-4.4.so
005b2000-005d5000 rwxp 005b2000 00:00 0
005d7000-006df000 r-xp 00000000 09:00 7897179    /usr/lib/librpmdb-4.4.so
006df000-006e4000 rwxp 00107000 09:00 7897179    /usr/lib/librpmdb-4.4.so
006e6000-0073f000 r-xp 00000000 09:00 7897189    /usr/lib/librpm-4.4.so
0073f000-00742000 rwxp 00059000 09:00 7897189    /usr/lib/librpm-4.4.so
00742000-00775000 rwxp 00742000 00:00 0
007b8000-007c1000 r-xp 00000000 09:00 688153     /lib/libgcc_s-4.0.0-20050518.so.1
007c1000-007c2000 rwxp 00009000 09:00 688153     /lib/libgcc_s-4.0.0-20050518.so.1
007c4000-007d5000 r-xp 00000000 09:00 5200560    /usr/lib/libbz2.so.1.0.2
007d5000-007d6000 rwxp 00010000 09:00 5200560    /usr/lib/libbz2.so.1.0.2
008a3000-008aa000 r-xp 00000000 09:00 5204274    /usr/lib/libpopt.so.0.0.0
008aa000-008ab000 rwxp 00006000 09:00 5204274    /usr/lib/libpopt.so.0.0.0
009d3000-009e2000 r-xp 00000000 09:00 691796     /lib/libresolv-2.3.5.so
009e2000-009e3000 r-xp 0000e000 09:00 691796     /lib/libresolv-2.3.5.so
009e3000-009e4000 rwxp 0000f000 09:00 691796     /lib/libresolv-2.3.5.so
009e4000-009e6000 rwxp 009e4000 00:00 0
00a03000-00a05000 r-xp 00000000 09:00 5206636    /usr/lib/libkrb5support.so.0.0
00a05000-00a06000 rwxp 00001000 09:00 5206636    /usr/lib/libkrb5support.so.0.0
00a3c000-00a71000 r-xp 00000000 09:00 688163     /lib/libssl.so.0.9.7f
00a71000-00a74000 rwxp 00035000 09:00 688163     /lib/libssl.so.0.9.7f
00bde000-00be0000 r-xp 00000000 09:00 691819     /lib/libcom_err.so.2.1
00be0000-00be1000 rwxp 00001000 09:00 691819     /lib/libcom_err.so.2.1
00be3000-00bf5000 r-xp 00000000 09:00 5200626    /usr/lib/libelf-0.108.so
00bf5000-00bf6000 rwxp 00012000 09:00 5200626    /usr/lib/libelf-0.108.so
00c3c000-00c5f000 r-xp 00000000 09:00 5206699    /usr/lib/libk5crypto.so.3.0
00c5f000-00c60000 rwxp 00023000 09:00 5206699    /usr/lib/libk5crypto.so.3.0
00c62000-00c78000 r-xp 00000000 09:00 5208992    /usr/lib/libgssapi_krb5.so.2.2
00c78000-00c79000 rwxp 00016000 09:00 5208992    /usr/lib/libgssapi_krb5.so.2.2
00d88000-00d90000 r-xp 00000000 09:00 691802     /lib/librt-2.3.5.so
00d90000-00d91000 r-xp 00007000 09:00 691802     /lib/librt-2.3.5.so
00d91000-00d92000 rwxp 00008000 09:00 691802     /lib/librt-2.3.5.so
00d92000-00d9c000 rwxp 00d92000 00:00 0
06de6000-06ede000 r-xp 00000000 09:00 688154     /lib/libcrypto.so.0.9.7f
06ede000-06ef0000 rwxp 000f8000 09:00 688154     /lib/libcrypto.so.0.9.7f
06ef0000-06ef3000 rwxp 06ef0000 00:00 0
0711a000-0712a000 r-xp 00000000 09:00 691794     /lib/libselinux.so.1
0712a000-0712b000 rwxp 00010000 09:00 691794     /lib/libselinux.so.1
071e7000-072c6000 r-xp 00000000 09:00 5196792    /usr/lib/libstdc++.so.6.0.4
072c6000-072cb000 rwxp 000df000 09:00 5196792    /usr/lib/libstdc++.so.6.0.4
072cb000-072d0000 rwxp 072cb000 00:00 0
07e78000-07ee7000 r-xp 00000000 09:00 5203626    /usr/lib/libkrb5.so.3.2
07ee7000-07eea000 rwxp 0006e000 09:00 5203626    /usr/lib/libkrb5.so.3.2
08048000-0804b000 r-xp 00000000 09:00 5259507    /usr/lib/rpm/rpmk
0804b000-0804d000 rw-p 00002000 09:00 5259507    /usr/lib/rpm/rpmk
09fe6000-0a007000 rw-p 09fe6000 00:00 0          [heap]
b7c00000-b7c21000 rw-p b7c00000 00:00 0
b7c21000-b7d00000 ---p b7c21000 00:00 0
b7d37000-b7d38000 rw-p b7d37000 00:00 0
b7d38000-b7d3e000 r--s 00000000 09:00 5216341    /usr/lib/gconv/gconv-modules.cache
b7d3e000-b7d50000 r--p 00000000 09:00 1785861   
/usr/share/locale/fr/LC_MESSAGES/rpm.mo
b7d50000-b7f50000 r--p 00000000 09:00 5203079    /usr/lib/locale/locale-archive
b7f50000-b7f58000 rw-p b7f50000 00:00 0
bf81d000-bf868000 rw-p bf81d000 00:00 0          [stack]
Abandon

I'll try to locate rpm 4.4.1-18.1 now

Comment 8 Paul Nasrat 2005-05-21 14:16:12 UTC
glibc-2.3.5-7
rpm-build-4.4.1-19
rpm-4.4.1-19
beecrypt-4.1.2-8


Processing files: simple-1.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/simple-1.0-buildroot
Generating signature: 1005
gpg: NOTE: old default options file `/home/pauln/.gnupg//options' ignored
gpg: NOTE: old default options file `/home/pauln/.gnupg//options' ignored
Wrote: /home/pauln/rpm/RPMS/simple-1.0-1.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.60461
+ umask 022
+ cd /home/pauln/rpm/BUILD
+ rm -rf /var/tmp/simple-1.0-buildroot
+ exit 0

Comment 9 Paul Nasrat 2005-05-21 14:18:50 UTC
Nicholas, as always I'm on irc.freenode.net #rpm for more debugging. I can also
access older files. 

Comment 10 Paul Nasrat 2005-05-21 14:24:13 UTC
For your convenience rpm-4.4.1-19 at http://people.redhat.com/pnasrat/

Comment 11 Nicolas Mailhot 2005-05-21 14:28:32 UTC
1. I've generated a new key (no fancy options, no passphrase, just the defaults)
and it crashed the same way

2. with rpm-4.4.1-18 from FC 3.92 it works with both keys - I'll retry
rpm-4.4.1-19 in case yum botched the last rpm update

Comment 12 Nicolas Mailhot 2005-05-21 14:32:04 UTC
After again to -19 the crash is back

lftp 66.187.224.20:/pub/fedora/linux/core/development/i386/Fedora/RPMS> mget rpm-*
3443253 octets transférés en 18 secondes (188.9Ko/s)
Total 5 fichiers transférés
lftp 66.187.224.20:/pub/fedora/linux/core/development/i386/Fedora/RPMS> exit
[root@rousalka tmp]# rpm -Uvh --force rpm-*
Préparation...              ########################################### [100%]
   1:rpm-libs               ########################################### [ 20%]
   2:rpm                    ########################################### [ 40%]
   3:rpm-build              ########################################### [ 60%]
   4:rpm-devel              ########################################### [ 80%]
   5:rpm-python             ########################################### [100%]
[root@rousalka tmp]# rpm -K rpm-*
rpm-4.4.1-19.i386.rpm: (sha1) dsa sha1 md5 gpg OK
rpm-build-4.4.1-19.i386.rpm: (sha1) dsa sha1 md5 gpg OK
rpm-devel-4.4.1-19.i386.rpm: (sha1) dsa sha1 md5 gpg OK
rpm-libs-4.4.1-19.i386.rpm: (sha1) dsa sha1 md5 gpg OK
rpm-python-4.4.1-19.i386.rpm: (sha1) dsa sha1 md5 gpg OK

I suppose -19 is a rotten version - I hope it's not scheduled for FC4

Comment 13 Nicolas Mailhot 2005-05-21 14:36:43 UTC
Guess it's time to install an irc client...

Comment 14 Paul Nasrat 2005-05-21 14:49:12 UTC
I also generated a new key and no crash. 

This has been put on the blocker list, so FC4 will *not* be released with an rpm
exhibiting this behaviour.  But without me being able to reproduce I can only guess

Comment 15 Paul Nasrat 2005-05-21 16:21:16 UTC
Reproduced - I had an older rpm-libs

Comment 16 Paul Nasrat 2005-05-23 13:08:32 UTC
Reverted patch causing this.